Discussion:
please test staged tycho 0.21.0
(too old to reply)
Sievers, Jan
2014-07-15 07:27:46 UTC
Permalink
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
Jeff MAURY
2014-07-15 11:56:54 UTC
Permalink
Hello,

Ok with my plugins/features/product

Jeff
Post by Sievers, Jan
Tycho milestone release 0.21.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your
tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/
</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
--
Jeff MAURY


"Legacy code" often differs from its suggested alternative by actually
working and scaling.
- Bjarne Stroustrup

http://www.jeffmaury.com
http://riadiscuss.jeffmaury.com
http://www.twitter.com/jeffmaury
Marc-André Laperle
2014-07-16 02:21:34 UTC
Permalink
Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.]
...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
2014-07-16 12:16:24 UTC
Permalink
FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.

In addition to seeing similar console output as Marc-André, I observed a couple of other symptoms:

1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.

2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".

Regards,
Steve


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Marc-André Laperle
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
2014-07-16 12:42:32 UTC
Permalink
Further clarification on (1):

When I say, "descend to a lower level and build," I mean specifically along the branch that contains the module that fails during a build from the root.

More importantly, once I drop beneath the root to a child module that is an ancestor of the failing module, the dependent module that cannot be found is no longer part of that reactor (and simply exists in the local repository from the previous failed build from root).

Graphically:

/root
/module-A
/module-A-1 <-- dependent module referenced by module-B-1 as p2-installable-unit
/module-B
/module-B-1 <-- failing module

That is, a build from "root" fails as described below, while a build from "module-B" or "module-B-1" succeeds.


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
Sent: Wednesday, July 16, 2014 8:16 AM
To: 'Tycho user list'
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.

In addition to seeing similar console output as Marc-André, I observed a couple of other symptoms:

1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.

2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".

Regards,
Steve


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Marc-André Laperle
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
2014-07-16 14:03:16 UTC
Permalink
Minimal sample project attached that demonstrates this issue. Builds successfully using Tycho 0.20.0; fails with the following error using Tycho 0.21.0:

<...snip...>
[INFO] --- tycho-surefire-plugin:0.21.0:test (default-test) @ com.mycompany.feature.core.tests ---
[INFO] Cannot complete the request. Generating details.
[INFO] Cannot complete the request. Generating details.
[INFO] {osgi.ws=win32, osgi.os=win32, osgi.arch=x86_64, org.eclipse.update.install.features=true}
[ERROR] Cannot resolve project dependencies:
[ERROR] You requested to install 'com.mycompany.common.core 0.0.0' but it could not be found
[ERROR]
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO]
[INFO] com.mycompany.main Parent ......................... SUCCESS [0.266s]
[INFO] com.mycompany.common Parent ....................... SUCCESS [0.016s]
[INFO] com.mycompany.common.core Bundle .................. SUCCESS [1.680s]
[INFO] com.mycompany.feature Parent ...................... SUCCESS [0.012s]
[INFO] com.mycompany.feature.core Bundle ................. SUCCESS [0.202s]
[INFO] com.mycompany.feature.core.tests Fragment ......... FAILURE [0.518s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 20.136s
[INFO] Finished at: Wed Jul 16 09:53:00 EDT 2014
[INFO] Final Memory: 87M/385M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on project com.mycompany.feature.core.tests: Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405518780783 0.0.0.1405518780783 to com.mycompany.common.core 0.0.0.; Unable to satisfy dependency from tycho-1405518780827 0.0.0.1405518780827 to com.mycompany.common.core 0.0.0.; No solution found because the problem is unsatisfiable.] -> [Help 1]
<...snip...>


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
Sent: Wednesday, July 16, 2014 8:43 AM
To: 'Tycho user list'
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Further clarification on (1):

When I say, "descend to a lower level and build," I mean specifically along the branch that contains the module that fails during a build from the root.

More importantly, once I drop beneath the root to a child module that is an ancestor of the failing module, the dependent module that cannot be found is no longer part of that reactor (and simply exists in the local repository from the previous failed build from root).

Graphically:

/root
/module-A
/module-A-1 <-- dependent module referenced by module-B-1 as p2-installable-unit
/module-B
/module-B-1 <-- failing module

That is, a build from "root" fails as described below, while a build from "module-B" or "module-B-1" succeeds.


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
Sent: Wednesday, July 16, 2014 8:16 AM
To: 'Tycho user list'
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.

In addition to seeing similar console output as Marc-André, I observed a couple of other symptoms:

1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.

2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".

Regards,
Steve


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Marc-André Laperle
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Sievers, Jan
2014-07-17 08:59:53 UTC
Permalink
this looks like

https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11

to me.

Unfortunately Tobias is the only person to be able to comment here and he is currently out of office.
If you don't get it to work with the workaround proposed in the comment above, re-open and attach your sample project.
I may be able to dig into it but it will probably take some time.

Regards,
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
Sent: Mittwoch, 16. Juli 2014 14:16
To: 'Tycho user list'
Subject: Re: [tycho-user] please test staged tycho 0.21.0

FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.

In addition to seeing similar console output as Marc-André, I observed a couple of other symptoms:

1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.

2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".

Regards,
Steve


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Marc-André Laperle
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
2014-07-17 13:05:11 UTC
Permalink
Thanks, Jan!

I confirmed that changing main/feature/com.mycompany.feature.core.tests/pom.xml to specify the in-reactor dependency using target-platform-configuration instead of tycho-surefire-plugin results in a successful build using 0.21.0 (patch attached). Making similar changes to our in-house product also results in a successful build using 0.21.0.

I'm up-voting bug 438559, at least with respect to updating the documentation. Reading Tobias' comments there, I didn't realize some of the limitations of tycho-surefire-plugin dependencies. Reading both the Tycho FAQ [1] and the documentation for eclipse-test-plugin [2], it wasn't clear there was a difference for in-reactor dependencies -- I simply extended the examples for (out-of-reactor) org.eclipse.equinox.ds to my own in-reactor bundles. (And I now realize I probably should have used type "eclipse-plugin" instead of "p2-installable-unit" for my own dependency in the original POM; I just copy-pasted the org.eclipse.equinox.ds example for my own use. Although correcting the type in the original POM still resulted in a build failure using 0.21.0.)

Thanks again for your help,
Steve

[1] http://wiki.eclipse.org/Tycho/FAQ#How_to_add_a_undeclared_dependency.3F_.28e.g..2C_OSGi_declarative_service.29

[2] http://wiki.eclipse.org/Tycho/Packaging_Types#eclipse-test-plugin


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Thursday, July 17, 2014 5:00 AM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

this looks like

https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11

to me.

Unfortunately Tobias is the only person to be able to comment here and he is currently out of office.
If you don't get it to work with the workaround proposed in the comment above, re-open and attach your sample project.
I may be able to dig into it but it will probably take some time.

Regards,
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
Sent: Mittwoch, 16. Juli 2014 14:16
To: 'Tycho user list'
Subject: Re: [tycho-user] please test staged tycho 0.21.0

FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.

In addition to seeing similar console output as Marc-André, I observed a couple of other symptoms:

1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.

2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".

Regards,
Steve


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Marc-André Laperle
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0

Hello,

I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"

... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...

The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console

Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).

Regards,
Marc-Andre

________________________________________
From: tycho-user-***@eclipse.org [tycho-user-***@eclipse.org] on behalf of Sievers, Jan [***@sap.com]
Sent: Tuesday, 15 July 2014 3:27 AM
To: Tycho user list (tycho-***@eclipse.org)
Subject: [tycho-user] please test staged tycho 0.21.0

Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Marc-André Laperle
2014-07-18 17:54:24 UTC
Permalink
Thank you. I was able to build both CDT and Linux Tools by applying this
solution.

Regards,
Marc-Andre
Post by Sievers, Jan
this looks like
https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
to me.
Unfortunately Tobias is the only person to be able to comment here and he is currently out of office.
If you don't get it to work with the workaround proposed in the comment above, re-open and attach your sample project.
I may be able to dig into it but it will probably take some time.
Regards,
Jan
-----Original Message-----
Sent: Mittwoch, 16. Juli 2014 14:16
To: 'Tycho user list'
Subject: Re: [tycho-user] please test staged tycho 0.21.0
FYI, I encountered a similar error while testing 0.21.0 with our in-house product. I also wasn't able to discern anything obvious from the debug output.
1) Our product is a multi-module project with three levels of POMs. I observe the error only when building from the root. If I descend to a lower level and build, everything works fine.
2) The module that fails to build is a test fragment. The dependent module that was not found is a plug-in built in the same reactor and referenced by the test fragment's POM using a org.eclipse.tycho:tycho-surefire-plugin dependency of type "p2-installable-unit".
Regards,
Steve
-----Original Message-----
Sent: Tuesday, July 15, 2014 10:22 PM
To: Tycho user list
Subject: [External] Re: [tycho-user] please test staged tycho 0.21.0
Hello,
I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"
... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.] ...
The full console log is available (for now!) at https://hudson.eclipse.org/linuxtools/job/linuxtools-gerrit/7762/console
and for CDT https://hudson.eclipse.org/cdt/job/cdt-verify/952/console
Is there anything else I can provide to help solve the issue? I have tried to build is with -X (debug output) but nothing really seems out of place (to my untrained eye).
Regards,
Marc-Andre
________________________________________
Sent: Tuesday, 15 July 2014 3:27 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
Andreas Sewe
2014-07-18 17:20:14 UTC
Permalink
Hi,
Post by Marc-André Laperle
I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"
... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.]
...
FWIW, I have encountered similar symptons with 0.21.0 on a build that
was fine with 0.20.0.
Post by Marc-André Laperle
[ERROR] Software being installed: head raw:2.1.2.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):2.1.2-SNAPSHOT
[ERROR] Missing requirement: org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 requires 'org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237]' but it could not be found
[ERROR] Cannot satisfy dependency: head raw:2.1.2.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):2.1.2-SNAPSHOT depends on: org.eclipse.recommenders.3rd.feature.source.feature.group 0.0.0
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 to org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237].; Unable to satisfy dependency from org.eclipse.recommenders.mylyn.rcp.feature.source.feature.group 2.1.1.v20140623-0832 to org.eclipse.recommenders.mylyn.rcp.feature.feature.group [2.1.1.v20140623-0832].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.rcp.feature.feature.group [2.1.1.v20140715-0706].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.source [2.1.1.v20140612-1917].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to or
g.eclipse.recommenders.apidocs.rcp.source [2.1.1.v20140626-1553].; Unable to satisfy dependency from org.eclipse.recommenders.snipmatch.rcp.feature.source.feature.group 2.1.1.v20140710-0736 to org.eclipse.recommenders.snipmatch.rcp.feature.feature.group [2.1.1.v20140710-0736].; Unable to satisfy dependency from org.eclipse.recommenders.testing.rcp.feature.source.feature.group 2.1.1.v20140715-0937 to org.eclipse.recommenders.testing.rcp.feature.feature.group [2.1.1.v20140715-0937].; No solution found because the problem is unsatisfiable.] -> [Help 1]
Post by Marc-André Laperle
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 to org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237].; Unable to satisfy dependency from org.eclipse.recommenders.mylyn.rcp.feature.source.feature.group 2.1.1.v20140623-0832 to org.eclipse.recommenders.mylyn.rcp.feature.feature.group [2.1.1.v20140623-0832].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.rcp.feature.feature.group [2.1.1.v20140715-0706].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.source [2.1.1.v20140612-1917].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature
.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.rcp.source [2.1.1.v20140626-1553].; Unable to satisfy dependency from org.eclipse.recommenders.snipmatch.rcp.feature.source.feature.group 2.1.1.v20140710-0736 to org.eclipse.recommenders.snipmatch.rcp.feature.feature.group [2.1.1.v20140710-0736].; Unable to satisfy dependency from org.eclipse.recommenders.testing.rcp.feature.source.feature.group 2.1.1.v20140715-0937 to org.eclipse.recommenders.testing.rcp.feature.feature.group [2.1.1.v20140715-0937].; No solution found because the problem is unsatisfiable.]
Post by Marc-André Laperle
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:165)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:555)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:214)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:158)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:414)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:357)
Nuking the local Maven repository fixed this issue, however. One
explanation for this might be a change in the metadata artifact's format
Tycho installs below ~/.m2/repository/p2, but that's just a wild guess.

Aside from that minor hiccup, Tycho 0.21.0 works fine (tested on Eclipse
Code Recommenders and a commercial project).

Best wishes,

Andreas
--
Codetrails GmbH
The knowledge transfer company

Robert-Bosch-Str. 7, 64293 Darmstadt
Phone: +49-6151-276-7092
Mobile: +49-170-811-3791
http://www.codetrails.com/

Managing Director: Dr. Marcel Bruch
Handelsregister: Darmstadt HRB 91940
Sievers, Jan
2014-07-22 06:03:18 UTC
Permalink
Post by Marc-André Laperle
I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"
... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.]
...
this looks the same as reported by Marc-Andre

https://dev.eclipse.org/mhonarc/lists/tycho-user/msg05830.html

Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Andreas Sewe
Sent: Freitag, 18. Juli 2014 19:20
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] please test staged tycho 0.21.0

Hi,
Post by Marc-André Laperle
I just tested it with the CDT project and also with Linux Tools. With both, I get a rather strange error involving "tycho-extra-1405473458882"
... Execution default-test of goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-extra-1405473458882 0.0.0.1405473458882 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.parsers.java 0.0.0.; Unable to satisfy dependency from tycho-1405473458888 0.0.0.1405473458888 to org.eclipse.linuxtools.changelog.cparser 0.0.0.; No solution found because the problem is unsatisfiable.]
...
FWIW, I have encountered similar symptons with 0.21.0 on a build that
was fine with 0.20.0.
Post by Marc-André Laperle
[ERROR] Software being installed: head raw:2.1.2.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):2.1.2-SNAPSHOT
[ERROR] Missing requirement: org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 requires 'org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237]' but it could not be found
[ERROR] Cannot satisfy dependency: head raw:2.1.2.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):2.1.2-SNAPSHOT depends on: org.eclipse.recommenders.3rd.feature.source.feature.group 0.0.0
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 to org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237].; Unable to satisfy dependency from org.eclipse.recommenders.mylyn.rcp.feature.source.feature.group 2.1.1.v20140623-0832 to org.eclipse.recommenders.mylyn.rcp.feature.feature.group [2.1.1.v20140623-0832].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.rcp.feature.feature.group [2.1.1.v20140715-0706].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.source [2.1.1.v20140612-1917].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to o
r
g.eclipse.recommenders.apidocs.rcp.source [2.1.1.v20140626-1553].; Unable to satisfy dependency from org.eclipse.recommenders.snipmatch.rcp.feature.source.feature.group 2.1.1.v20140710-0736 to org.eclipse.recommenders.snipmatch.rcp.feature.feature.group [2.1.1.v20140710-0736].; Unable to satisfy dependency from org.eclipse.recommenders.testing.rcp.feature.source.feature.group 2.1.1.v20140715-0937 to org.eclipse.recommenders.testing.rcp.feature.feature.group [2.1.1.v20140715-0937].; No solution found because the problem is unsatisfiable.] -> [Help 1]
Post by Marc-André Laperle
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.recommenders.3rd.feature.source.feature.group 2.1.1.v20140706-2237 to org.eclipse.recommenders.3rd.feature.feature.group [2.1.1.v20140706-2237].; Unable to satisfy dependency from org.eclipse.recommenders.mylyn.rcp.feature.source.feature.group 2.1.1.v20140623-0832 to org.eclipse.recommenders.mylyn.rcp.feature.feature.group [2.1.1.v20140623-0832].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.rcp.feature.feature.group [2.1.1.v20140715-0706].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.feature.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.source [2.1.1.v20140612-1917].; Unable to satisfy dependency from org.eclipse.recommenders.rcp.feature.source.featur
e
.group 2.1.1.v20140715-0706 to org.eclipse.recommenders.apidocs.rcp.source [2.1.1.v20140626-1553].; Unable to satisfy dependency from org.eclipse.recommenders.snipmatch.rcp.feature.source.feature.group 2.1.1.v20140710-0736 to org.eclipse.recommenders.snipmatch.rcp.feature.feature.group [2.1.1.v20140710-0736].; Unable to satisfy dependency from org.eclipse.recommenders.testing.rcp.feature.source.feature.group 2.1.1.v20140715-0937 to org.eclipse.recommenders.testing.rcp.feature.feature.group [2.1.1.v20140715-0937].; No solution found because the problem is unsatisfiable.]
Post by Marc-André Laperle
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:165)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:555)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:214)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:158)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:414)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:357)
Nuking the local Maven repository fixed this issue, however. One
explanation for this might be a change in the metadata artifact's format
Tycho installs below ~/.m2/repository/p2, but that's just a wild guess.

Aside from that minor hiccup, Tycho 0.21.0 works fine (tested on Eclipse
Code Recommenders and a commercial project).

Best wishes,

Andreas
--
Codetrails GmbH
The knowledge transfer company

Robert-Bosch-Str. 7, 64293 Darmstadt
Phone: +49-6151-276-7092
Mobile: +49-170-811-3791
http://www.codetrails.com/

Managing Director: Dr. Marcel Bruch
Handelsregister: Darmstadt HRB 91940
Mickael Istria
2014-07-16 08:29:07 UTC
Permalink
Tried this for several pieces of JBoss Tools and JBoss Developer Studio
and did not notice any regression.
--
Mickael Istria
Eclipse developer at JBoss, by Red Hat <http://www.jboss.org/tools>
My blog <http://mickaelistria.wordpress.com> - My Tweets
<http://twitter.com/mickaelistria>
Justin Georgeson
2014-07-16 14:22:14 UTC
Permalink
Our main internal product is building ok with the staged 0.21.0 and a Kepler-based target with a 1.7 JAVA_HOME. When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an execution of tycho-eclipserun-plugin that is failing. The log file is attached along with the configuration* of the failing eclipserun execution. I assume this is actually a Luna issue, or a latent bug in the application we're running that is exposed by a change in Luna, but just wanted to make sure there wasn't a simple configuration change I need to make in the eclipserun plugin (I didn't see anything in the release notes are bugzilla mentioning eclipserun).

*The two repositories listed in the eclipserun execution are a local Artifactory virtual repo that caches a number of eclipse.org sites including the main update site for the targeted version of eclipse, and an internal site that provides the eclipse-feature listed as a dependency. The eclipse-plugin dependency provides the app that is being run.
Post by Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
-----Original Message-----
Sent: Tuesday, July 15, 2014 2:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new features
and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your
tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-
1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Sievers, Jan
2014-07-17 08:41:08 UTC
Permalink
Post by Justin Georgeson
When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an execution of tycho-eclipserun-plugin that is failing.
I suppose this is probably caused by changing the target to Luna.

I was looking for regressions in Tycho 0.21.0, so when testing please only change the tycho version and keep everything else as is in order not to mix up things and complicate analysis.

Regards,
Jan



-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Justin Georgeson
Sent: Mittwoch, 16. Juli 2014 16:22
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0

Our main internal product is building ok with the staged 0.21.0 and a Kepler-based target with a 1.7 JAVA_HOME. When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an execution of tycho-eclipserun-plugin that is failing. The log file is attached along with the configuration* of the failing eclipserun execution. I assume this is actually a Luna issue, or a latent bug in the application we're running that is exposed by a change in Luna, but just wanted to make sure there wasn't a simple configuration change I need to make in the eclipserun plugin (I didn't see anything in the release notes are bugzilla mentioning eclipserun).

*The two repositories listed in the eclipserun execution are a local Artifactory virtual repo that caches a number of eclipse.org sites including the main update site for the targeted version of eclipse, and an internal site that provides the eclipse-feature listed as a dependency. The eclipse-plugin dependency provides the app that is being run.
Post by Justin Georgeson
-----Original Message-----
Sent: Tuesday, July 15, 2014 2:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new features
and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your
tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-
1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Justin Georgeson
2014-07-18 21:35:12 UTC
Permalink
Ok. Will there be a separate request for testing with Luna and/or JDK 8?
Post by Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
-----Original Message-----
Sent: Thursday, July 17, 2014 3:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Justin Georgeson
When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an
execution of tycho-eclipserun-plugin that is failing.
I suppose this is probably caused by changing the target to Luna.
I was looking for regressions in Tycho 0.21.0, so when testing please only
change the tycho version and keep everything else as is in order not to mix
up things and complicate analysis.
Regards,
Jan
-----Original Message-----
Sent: Mittwoch, 16. Juli 2014 16:22
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Our main internal product is building ok with the staged 0.21.0 and a Kepler-
based target with a 1.7 JAVA_HOME. When I switch to a 1.8 JAVA_HOME and
a Luna-based target there is an execution of tycho-eclipserun-plugin that is
failing. The log file is attached along with the configuration* of the failing
eclipserun execution. I assume this is actually a Luna issue, or a latent bug in
the application we're running that is exposed by a change in Luna, but just
wanted to make sure there wasn't a simple configuration change I need to
make in the eclipserun plugin (I didn't see anything in the release notes are
bugzilla mentioning eclipserun).
*The two repositories listed in the eclipserun execution are a local Artifactory
virtual repo that caches a number of eclipse.org sites including the main
update site for the targeted version of eclipse, and an internal site that
provides the eclipse-feature listed as a dependency. The eclipse-plugin
dependency provides the app that is being run.
Post by Justin Georgeson
-----Original Message-----
Sent: Tuesday, July 15, 2014 2:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change
your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-
1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or
unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and
privileged information for the sole use of the intended recipient. Any
review, use, distribution, or disclosure by others is strictly prohibited. If you
are not the intended recipient (or authorized to receive information for the
intended recipient), please contact the sender by reply e-mail and delete all
copies of this message.
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Sievers, Jan
2014-07-22 12:09:00 UTC
Permalink
Post by Justin Georgeson
Ok. Will there be a separate request for testing with Luna and/or JDK 8?
no.

In the same way as previously when testing Tycho, if now you keep the Tycho version the same and instead only change the target platform to Luna and your build starts failing, this strongly suggests it is caused by sth other than Tycho (either a latent bug in your code surfaced with Luna or by Luna breaking your code).

Regards
Jan


-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Justin Georgeson
Sent: Freitag, 18. Juli 2014 23:35
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0

Ok. Will there be a separate request for testing with Luna and/or JDK 8?
Post by Justin Georgeson
-----Original Message-----
Sent: Thursday, July 17, 2014 3:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Justin Georgeson
When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an
execution of tycho-eclipserun-plugin that is failing.
I suppose this is probably caused by changing the target to Luna.
I was looking for regressions in Tycho 0.21.0, so when testing please only
change the tycho version and keep everything else as is in order not to mix
up things and complicate analysis.
Regards,
Jan
-----Original Message-----
Sent: Mittwoch, 16. Juli 2014 16:22
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Our main internal product is building ok with the staged 0.21.0 and a Kepler-
based target with a 1.7 JAVA_HOME. When I switch to a 1.8 JAVA_HOME and
a Luna-based target there is an execution of tycho-eclipserun-plugin that is
failing. The log file is attached along with the configuration* of the failing
eclipserun execution. I assume this is actually a Luna issue, or a latent bug in
the application we're running that is exposed by a change in Luna, but just
wanted to make sure there wasn't a simple configuration change I need to
make in the eclipserun plugin (I didn't see anything in the release notes are
bugzilla mentioning eclipserun).
*The two repositories listed in the eclipserun execution are a local Artifactory
virtual repo that caches a number of eclipse.org sites including the main
update site for the targeted version of eclipse, and an internal site that
provides the eclipse-feature listed as a dependency. The eclipse-plugin
dependency provides the app that is being run.
Post by Justin Georgeson
-----Original Message-----
Sent: Tuesday, July 15, 2014 2:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change
your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-
1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or
unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and
privileged information for the sole use of the intended recipient. Any
review, use, distribution, or disclosure by others is strictly prohibited. If you
are not the intended recipient (or authorized to receive information for the
intended recipient), please contact the sender by reply e-mail and delete all
copies of this message.
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
Justin Georgeson
2014-07-22 18:25:18 UTC
Permalink
Have now confirmed that adding org.eclipse.equinox.core.feature (to get the org.eclipse.osgi.compatibility.state plugin iff the targeted Eclipse version has it) as a dependency of the eclipserun plugin fixes the NPE and is backwards compatible with kepler and juno. Some related code changes in our plugin, but build-configuration was everything is working now.

So suspicions correct: not a Tycho 0.21.0 issue.
Post by Soloff, Steven M Belcan Engineering Group, Cincinnati, Ohio
-----Original Message-----
Sent: Tuesday, July 22, 2014 7:09 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Justin Georgeson
Ok. Will there be a separate request for testing with Luna and/or JDK 8?
no.
In the same way as previously when testing Tycho, if now you keep the
Tycho version the same and instead only change the target platform to Luna
and your build starts failing, this strongly suggests it is caused by sth other
than Tycho (either a latent bug in your code surfaced with Luna or by Luna
breaking your code).
Regards
Jan
-----Original Message-----
Sent: Freitag, 18. Juli 2014 23:35
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Ok. Will there be a separate request for testing with Luna and/or JDK 8?
Post by Justin Georgeson
-----Original Message-----
Sent: Thursday, July 17, 2014 3:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Justin Georgeson
When I switch to a 1.8 JAVA_HOME and a Luna-based target there is an
execution of tycho-eclipserun-plugin that is failing.
I suppose this is probably caused by changing the target to Luna.
I was looking for regressions in Tycho 0.21.0, so when testing please
only change the tycho version and keep everything else as is in order
not to mix up things and complicate analysis.
Regards,
Jan
-----Original Message-----
Sent: Mittwoch, 16. Juli 2014 16:22
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Our main internal product is building ok with the staged 0.21.0 and a
Kepler- based target with a 1.7 JAVA_HOME. When I switch to a 1.8
JAVA_HOME and a Luna-based target there is an execution of
tycho-eclipserun-plugin that is failing. The log file is attached
along with the configuration* of the failing eclipserun execution. I
assume this is actually a Luna issue, or a latent bug in the
application we're running that is exposed by a change in Luna, but
just wanted to make sure there wasn't a simple configuration change I
need to make in the eclipserun plugin (I didn't see anything in the release
notes are bugzilla mentioning eclipserun).
Post by Justin Georgeson
*The two repositories listed in the eclipserun execution are a local
Artifactory virtual repo that caches a number of eclipse.org sites
including the main update site for the targeted version of eclipse,
and an internal site that provides the eclipse-feature listed as a
dependency. The eclipse-plugin dependency provides the app that is being
run.
Post by Justin Georgeson
Post by Justin Georgeson
-----Original Message-----
Sent: Tuesday, July 15, 2014 2:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Tycho milestone release 0.21.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change
your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-
1018/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or
unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential
and privileged information for the sole use of the intended recipient.
Any review, use, distribution, or disclosure by others is strictly
prohibited. If you are not the intended recipient (or authorized to
receive information for the intended recipient), please contact the
sender by reply e-mail and delete all copies of this message.
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or
unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit https://dev.eclipse.org/mailman/listinfo/tycho-user
David M Williams
2014-07-16 17:10:59 UTC
Permalink
I've tested this staged version in our Platform build, and found it
"breaks" cbi-plugin 1.0.5 (test-properties mojo), due to missing class
DefaultArtifactKey. See

Bug 439740 - CBI 1.0.5 is not compatible with Tycho 0.21 (staged version)

I'm not sure if this is a "Tycho bug" or a "CBI bug" ... but will let you
two teams decide that.

Thanks,




From: "Sievers, Jan" <***@sap.com>
To: "Tycho user list (tycho-***@eclipse.org)"
<tycho-***@eclipse.org>,
Date: 07/15/2014 03:28 AM
Subject: [tycho-user] please test staged tycho 0.21.0
Sent by: tycho-user-***@eclipse.org



Tycho milestone release 0.21.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your
tycho version to 0.21.0 and add snippet [2] to your pom.

We plan to promote this release in one week unless major regressions are
found.

Regards,
Tycho team

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/
</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe
from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
Thanh Ha
2014-07-16 18:30:31 UTC
Permalink
Post by David M Williams
I've tested this staged version in our Platform build, and found it
"breaks" cbi-plugin 1.0.5 (test-properties mojo), due to missing class
DefaultArtifactKey. See
*_Bug 439740_* <https://bugs.eclipse.org/bugs/show_bug.cgi?id=439740>-
CBI 1.0.5 is not compatible with Tycho 0.21 (staged version)
I'm not sure if this is a "Tycho bug" or a "CBI bug" ... but will let
you two teams decide that.
It's a CBI bug. Looks like DefaultArtifactKey class was moved in Tycho.
So the fix shouldn't be too difficult on the CBI side. I'll add more
details in the bug.

Regards,


Thanh
Thanh Ha
2014-07-16 19:47:08 UTC
Permalink
FYI to the Tycho team.

I believe I was able to come up with a patch [1] for CBI. I will look
into getting this patch released soon.


Thanh

[1] https://git.eclipse.org/r/#/c/29999/
Post by Thanh Ha
Post by David M Williams
I've tested this staged version in our Platform build, and found it
"breaks" cbi-plugin 1.0.5 (test-properties mojo), due to missing
class DefaultArtifactKey. See
*_Bug 439740_*
<https://bugs.eclipse.org/bugs/show_bug.cgi?id=439740>- CBI 1.0.5 is
not compatible with Tycho 0.21 (staged version)
I'm not sure if this is a "Tycho bug" or a "CBI bug" ... but will let
you two teams decide that.
It's a CBI bug. Looks like DefaultArtifactKey class was moved in
Tycho. So the fix shouldn't be too difficult on the CBI side. I'll add
more details in the bug.
Regards,
Thanh
_______________________________________________
tycho-user mailing list
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/tycho-user
Lorenzo Bettini
2014-07-18 17:46:46 UTC
Permalink
Post by Sievers, Jan
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,

http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho

This was working with 0.20.0 but with this staged version I get

[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
build extension not configured for MavenProject:
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml

am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Sievers, Jan
2014-07-22 11:42:57 UTC
Permalink
Post by Lorenzo Bettini
am I doing anything wrong?
I can reproduce the problem. It seems it's caused by changing the phase of tycho-surefire-plugin from "integration-test" (the default) to the (earlier) phase "test".

If you change the phase back consistently to "integration-test", it works for me.
Note that you will probably also need to change your surefire dependencies configuration as per [1].

I can't tell right now whether this worked by chance before and was never officially supported - Tobias may be able to comment when he is back as I suppose this has to do with commit [2]. I opened [3] now. I don't consider this a stopper for 0.21.0.

Anyway at least we need to clarify this in the docs, see bug [4].

Regards,
Jan

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
[2] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=3da912208f166302bcbf3c6ecac97554f9483536
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=440094
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=438559



-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Lorenzo Bettini
Sent: Freitag, 18. Juli 2014 19:47
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,

http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho

This was working with 0.20.0 but with this staged version I get

[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
build extension not configured for MavenProject:
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml

am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Lorenzo Bettini
2014-07-22 17:45:53 UTC
Permalink
Thanks for the clarification Jan,

using integration-test phase works, but there's one thing which is not
clear: still referring to
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore... however, if I remove

<dependencies>
<!-- These are required for Luna
see https://issues.jboss.org/browse/JBIDE-16161 -->
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.equinox.event</artifactId>
<version>0.0.0</version>
</dependency>
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.osgi.compatibility.state</artifactId>
<version>0.0.0</version>
</dependency>
</dependencies>

the UI tests do not work, with this exception

org.eclipse.core.runtime.CoreException: Plug-in
org.eclipse.equinox.launcher was unable to load class
org.eclipse.tycho.surefire.osgibooter.UITestApplication.

Did I miss something?

thanks in advance
Lorenzo
Post by Sievers, Jan
Post by Lorenzo Bettini
am I doing anything wrong?
I can reproduce the problem. It seems it's caused by changing the phase of tycho-surefire-plugin from "integration-test" (the default) to the (earlier) phase "test".
If you change the phase back consistently to "integration-test", it works for me.
Note that you will probably also need to change your surefire dependencies configuration as per [1].
I can't tell right now whether this worked by chance before and was never officially supported - Tobias may be able to comment when he is back as I suppose this has to do with commit [2]. I opened [3] now. I don't consider this a stopper for 0.21.0.
Anyway at least we need to clarify this in the docs, see bug [4].
Regards,
Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
[2] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=3da912208f166302bcbf3c6ecac97554f9483536
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=440094
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=438559
-----Original Message-----
Sent: Freitag, 18. Juli 2014 19:47
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
This was working with 0.20.0 but with this staged version I get
[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml
am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Sievers, Jan
2014-07-23 07:03:39 UTC
Permalink
Post by Lorenzo Bettini
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore...
I think you may be mixing up two things here:

1. Tycho internally uses an embedded Equinox OSGi runtime; this is basically to be able to use p2 inside a maven build.
As an implementation detail, this internal runtime now uses org.eclipse.osgi.compatibility.state

2. The OSGi runtime used for executing your tests is something different and entirely defined by you (neglecting the surefire test harness bundles)

If org.eclipse.osgi.compatibility.state would be always be required for executing tests, that may be a bug (however our ITs and demo projects did not show we need this dependency). I would rather suspect something in your test runtime (transitive dependendencies of your test bundle) requires this bundle.

Regards,
Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Lorenzo Bettini
Sent: Dienstag, 22. Juli 2014 19:46
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] please test staged tycho 0.21.0

Thanks for the clarification Jan,

using integration-test phase works, but there's one thing which is not
clear: still referring to
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore... however, if I remove

<dependencies>
<!-- These are required for Luna
see https://issues.jboss.org/browse/JBIDE-16161 -->
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.equinox.event</artifactId>
<version>0.0.0</version>
</dependency>
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.osgi.compatibility.state</artifactId>
<version>0.0.0</version>
</dependency>
</dependencies>

the UI tests do not work, with this exception

org.eclipse.core.runtime.CoreException: Plug-in
org.eclipse.equinox.launcher was unable to load class
org.eclipse.tycho.surefire.osgibooter.UITestApplication.

Did I miss something?

thanks in advance
Lorenzo
Post by Lorenzo Bettini
Post by Lorenzo Bettini
am I doing anything wrong?
I can reproduce the problem. It seems it's caused by changing the phase of tycho-surefire-plugin from "integration-test" (the default) to the (earlier) phase "test".
If you change the phase back consistently to "integration-test", it works for me.
Note that you will probably also need to change your surefire dependencies configuration as per [1].
I can't tell right now whether this worked by chance before and was never officially supported - Tobias may be able to comment when he is back as I suppose this has to do with commit [2]. I opened [3] now. I don't consider this a stopper for 0.21.0.
Anyway at least we need to clarify this in the docs, see bug [4].
Regards,
Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
[2] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=3da912208f166302bcbf3c6ecac97554f9483536
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=440094
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=438559
-----Original Message-----
Sent: Freitag, 18. Juli 2014 19:47
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
This was working with 0.20.0 but with this staged version I get
[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml
am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Lorenzo Bettini
2014-07-27 11:40:26 UTC
Permalink
Post by Sievers, Jan
Post by Lorenzo Bettini
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore...
1. Tycho internally uses an embedded Equinox OSGi runtime; this is basically to be able to use p2 inside a maven build.
As an implementation detail, this internal runtime now uses org.eclipse.osgi.compatibility.state
2. The OSGi runtime used for executing your tests is something different and entirely defined by you (neglecting the surefire test harness bundles)
If org.eclipse.osgi.compatibility.state would be always be required for executing tests, that may be a bug (however our ITs and demo projects did not show we need this dependency). I would rather suspect something in your test runtime (transitive dependendencies of your test bundle) requires this bundle.
Regards,
Jan
Hi

in my case these are UI tests for an Xtext/Xbase DSL
(http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho),
and apparently org.eclipse.osgi.compatibility.state is required (these
tests are based on a project created in the workbench during the
tests)... I don't understand why this is not automatically loaded since
the application under test is the Eclipse workbench. The problem goes
away if I add as extra requirement the org.eclipse.rcp feature - see
below - (which includes org.eclipse.e4.rcp which in turn includes
org.eclipse.osgi.compatibility.state in Luna). And again this looks
strange to me since org.eclipse.rcp is part of the platform of the
running Eclipse workbench under test, so why do I need to add this
explicitly as an extra requirement?

<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>target-platform-configuration</artifactId>
<configuration>
<dependency-resolution>
<extraRequirements>
<!-- to get the org.eclipse.osgi.compatibility.state plugin iff
the targeted Eclipse version (e.g., Luna) has it
(backwards compatible with kepler and previous versions) -->
<requirement>
<type>eclipse-feature</type>
<id>org.eclipse.rcp</id>
<versionRange>0.0.0</versionRange>
</requirement>
</extraRequirements>
</dependency-resolution>
</configuration>
</plugin>

cheers
Lorenzo
Post by Sievers, Jan
-----Original Message-----
Sent: Dienstag, 22. Juli 2014 19:46
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Thanks for the clarification Jan,
using integration-test phase works, but there's one thing which is not
clear: still referring to
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore... however, if I remove
<dependencies>
<!-- These are required for Luna
see https://issues.jboss.org/browse/JBIDE-16161 -->
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.equinox.event</artifactId>
<version>0.0.0</version>
</dependency>
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.osgi.compatibility.state</artifactId>
<version>0.0.0</version>
</dependency>
</dependencies>
the UI tests do not work, with this exception
org.eclipse.core.runtime.CoreException: Plug-in
org.eclipse.equinox.launcher was unable to load class
org.eclipse.tycho.surefire.osgibooter.UITestApplication.
Did I miss something?
thanks in advance
Lorenzo
Post by Lorenzo Bettini
Post by Lorenzo Bettini
am I doing anything wrong?
I can reproduce the problem. It seems it's caused by changing the phase of tycho-surefire-plugin from "integration-test" (the default) to the (earlier) phase "test".
If you change the phase back consistently to "integration-test", it works for me.
Note that you will probably also need to change your surefire dependencies configuration as per [1].
I can't tell right now whether this worked by chance before and was never officially supported - Tobias may be able to comment when he is back as I suppose this has to do with commit [2]. I opened [3] now. I don't consider this a stopper for 0.21.0.
Anyway at least we need to clarify this in the docs, see bug [4].
Regards,
Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
[2] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=3da912208f166302bcbf3c6ecac97554f9483536
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=440094
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=438559
-----Original Message-----
Sent: Freitag, 18. Juli 2014 19:47
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
This was working with 0.20.0 but with this staged version I get
[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml
am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Sievers, Jan
2014-07-28 09:07:07 UTC
Permalink
Post by Lorenzo Bettini
I don't understand why this is not automatically loaded since
the application under test is the Eclipse workbench.
Tycho uses the transitive dependencies of the test bundle to populate the list of bundles for the test runtime.
If you require anything at test runtime not explicitly required by those bundles, you need to give Tycho a hint.

Typically fragments are not directly required but only end up in the installation included via features being installed, so in this case e.g. adding a dependency on a feature that brings the fragment works around the problem.

Regards,
Jan



-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Lorenzo Bettini
Sent: Sonntag, 27. Juli 2014 13:40
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Post by Lorenzo Bettini
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore...
1. Tycho internally uses an embedded Equinox OSGi runtime; this is basically to be able to use p2 inside a maven build.
As an implementation detail, this internal runtime now uses org.eclipse.osgi.compatibility.state
2. The OSGi runtime used for executing your tests is something different and entirely defined by you (neglecting the surefire test harness bundles)
If org.eclipse.osgi.compatibility.state would be always be required for executing tests, that may be a bug (however our ITs and demo projects did not show we need this dependency). I would rather suspect something in your test runtime (transitive dependendencies of your test bundle) requires this bundle.
Regards,
Jan
Hi

in my case these are UI tests for an Xtext/Xbase DSL
(http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho),
and apparently org.eclipse.osgi.compatibility.state is required (these
tests are based on a project created in the workbench during the
tests)... I don't understand why this is not automatically loaded since
the application under test is the Eclipse workbench. The problem goes
away if I add as extra requirement the org.eclipse.rcp feature - see
below - (which includes org.eclipse.e4.rcp which in turn includes
org.eclipse.osgi.compatibility.state in Luna). And again this looks
strange to me since org.eclipse.rcp is part of the platform of the
running Eclipse workbench under test, so why do I need to add this
explicitly as an extra requirement?

<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>target-platform-configuration</artifactId>
<configuration>
<dependency-resolution>
<extraRequirements>
<!-- to get the org.eclipse.osgi.compatibility.state plugin iff
the targeted Eclipse version (e.g., Luna) has it
(backwards compatible with kepler and previous versions) -->
<requirement>
<type>eclipse-feature</type>
<id>org.eclipse.rcp</id>
<versionRange>0.0.0</versionRange>
</requirement>
</extraRequirements>
</dependency-resolution>
</configuration>
</plugin>

cheers
Lorenzo
Post by Lorenzo Bettini
-----Original Message-----
Sent: Dienstag, 22. Juli 2014 19:46
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Thanks for the clarification Jan,
using integration-test phase works, but there's one thing which is not
clear: still referring to
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
I had added the dependencies part because
org.eclipse.osgi.compatibility.state was not found when I switched to
Luna; I thought that in 0.21 that bundle was included in tycho so there
would be no need to that dependency part anymore... however, if I remove
<dependencies>
<!-- These are required for Luna
see https://issues.jboss.org/browse/JBIDE-16161 -->
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.equinox.event</artifactId>
<version>0.0.0</version>
</dependency>
<dependency>
<type>eclipse-plugin</type>
<artifactId>org.eclipse.osgi.compatibility.state</artifactId>
<version>0.0.0</version>
</dependency>
</dependencies>
the UI tests do not work, with this exception
org.eclipse.core.runtime.CoreException: Plug-in
org.eclipse.equinox.launcher was unable to load class
org.eclipse.tycho.surefire.osgibooter.UITestApplication.
Did I miss something?
thanks in advance
Lorenzo
Post by Lorenzo Bettini
Post by Lorenzo Bettini
am I doing anything wrong?
I can reproduce the problem. It seems it's caused by changing the phase of tycho-surefire-plugin from "integration-test" (the default) to the (earlier) phase "test".
If you change the phase back consistently to "integration-test", it works for me.
Note that you will probably also need to change your surefire dependencies configuration as per [1].
I can't tell right now whether this worked by chance before and was never officially supported - Tobias may be able to comment when he is back as I suppose this has to do with commit [2]. I opened [3] now. I don't consider this a stopper for 0.21.0.
Anyway at least we need to clarify this in the docs, see bug [4].
Regards,
Jan
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=436617#c11
[2] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=3da912208f166302bcbf3c6ecac97554f9483536
[3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=440094
[4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=438559
-----Original Message-----
Sent: Freitag, 18. Juli 2014 19:47
Subject: Re: [tycho-user] please test staged tycho 0.21.0
Post by Lorenzo Bettini
Tycho milestone release 0.21.0 has been staged. For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build. To use it, change your tycho version to 0.21.0 and add snippet [2] to your pom.
We plan to promote this release in one week unless major regressions are found.
Regards,
Tycho team
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.21
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1018/</url>
</pluginRepository>
</pluginRepositories>
In our project, tests are not working after switching to 0.21.0 when we
have several executions, e.g.,
http://git.eclipse.org/c/emf-parsley/org.eclipse.emf-parsley.git/tree/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml?h=tycho
This was working with 0.20.0 but with this staged version I get
[ERROR] Failed to execute goal
org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test (default-test) on
project org.eclipse.emf.parsley.dsl.tests: Execution default-test of
goal org.eclipse.tycho:tycho-surefire-plugin:0.21.0:test failed: Tycho
org.eclipse.emf.parsley:org.eclipse.emf.parsley.dsl.tests:0.1.1-SNAPSHOT
@
/home/bettini/work/emf/emf-parsley-tycho/dsl/org.eclipse.emf.parsley.dsl.tests/pom.xml
am I doing anything wrong?
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Lorenzo Bettini
2014-07-29 13:32:47 UTC
Permalink
Post by Sievers, Jan
Post by Lorenzo Bettini
I don't understand why this is not automatically loaded since
the application under test is the Eclipse workbench.
Tycho uses the transitive dependencies of the test bundle to populate the list of bundles for the test runtime.
If you require anything at test runtime not explicitly required by those bundles, you need to give Tycho a hint.
Typically fragments are not directly required but only end up in the installation included via features being installed, so in this case e.g. adding a dependency on a feature that brings the fragment works around the problem.
OK, probably now things are clearer :)

However, if I don't put org.eclipse.rcp as extra dependency the error I
get is

org.eclipse.core.runtime.CoreException: Plug-in
org.eclipse.equinox.launcher was unable to load class
org.eclipse.tycho.surefire.osgibooter.UITestApplication.

which tells me nothing about a possible solution... I was lucky enough
that I found some hints on the web, mostly this one
https://issues.jboss.org/browse/JBIDE-16161

cheers
Lorenzo
--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
HOME: http://www.lorenzobettini.it
Xtext Book:
http://www.packtpub.com/implementing-domain-specific-languages-with-xtext-and-xtend/book
Continue reading on narkive:
Loading...